---
title: "Thinking about moving to GitLab? Here are 5 reasons why you should."
author: Aricka Flowers
author_gitlab: atflowers
author_twitter: ArickaFlowers
categories: company
image_title: '/images/blogimages/moving-to-gitlab-cover.png'
description: "Inspired by #movingtogitlab? We've put together our top reasons to give it a try."
twitter_text: "Here are the top 5 reasons why developers should move to @gitlab"
---

We've been getting a lot of questions about what makes GitLab great and worthy of developers’ business and, most importantly, trust. So we decided to take some time to list out the top five reasons to [move to GitLab](/community/moving-to-gitlab/):

## 1. It's the only single application for the entire Devops cycle

GitLab is the first application built to cover all stages of the DevOps cycle. This means product, development, QA, and Ops teams can all work together concurrently, making the software development lifecycle three times faster. Built-in [continuous integration and continuous delivery features](/features/gitlab-ci-cd/) make it seamless to go from a code change to a running pipeline. On top of that, GitLab has project management, issue tracking, and free private repository hosting to make it easier to plan and manage your projects. Because GitLab is open, it has great integrations with many other tools, including container orchestration tools like [Kubernetes](/kubernetes).

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Okay I get it. <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@GitLab</a>&#39;s product leapfrogged GitHub. I&#39;m shocked how incredibly nice, thoughtful and well designed it is. Fantastic built-in tools -- incredible Kubernetes support, built-in CI/CD, security testing, project management and support features, etc. <a href="https://twitter.com/hashtag/MovingToGitLab?src=hash&amp;ref_src=twsrc%5Etfw">#MovingToGitLab</a></p>&mdash; Zach Kelling (@zeekay) <a href="https://twitter.com/zeekay/status/1004529586997211137?ref_src=twsrc%5Etfw">June 7, 2018</a></blockquote>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

## 2. Security is built in

We're keenly aware that security is critical in software development, and too often security is at the end of the SDLC. In GitLab, security is first class. Security checks are built into merge requests (MRs), with problems being reported directly in pipelines and MRs. Some of our integrated security features include:

* Dependency scanning
* Static Application Security Testing (SAST)
* Dynamic Application Security Testing
* Container scanning

In GitLab, every code change can be scanned automatically.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Today I moved all my work related repositories to <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a>, I have to admit, I wish I did it way before. Gitlab has everything in one package, groups, boards, auto dev ops. Quite impressed.</p>&mdash; Kaan Göksal (@kaangoksal) <a href="https://twitter.com/kaangoksal/status/1004433422515888135?ref_src=twsrc%5Etfw">June 6, 2018</a></blockquote>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>


## 3. It's open core

GitLab is [open core](/2016/07/20/gitlab-is-open-core-github-is-closed-source/).
GitLab Core is open source, while higher tiers of self-hosted GitLab include both open source and proprietary features. Our [Community Edition](https://gitlab.com/gitlab-org/gitlab-ce/) (CE) repository includes only open source code, while the [Enterprise Edition repository](https://gitlab.com/gitlab-org/gitlab-ee/) (EE) holds both open source and proprietary code,
but operates like CE, thanks to a publicly visible issue tracker. This means that whether you use GitLab Core, GitLab.com, GitLab Ultimate, or anything in between, you can influence and contribute to GitLab, and keep an eye on [where things are going](/direction/).

You can read about our [stewardship of the open source project](/company/stewardship/) and check out [our recent post](/2018/04/20/gitlab-tiers/) which goes into more detail about the different GitLab tiers.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">As a product-focused company, we support the <a href="https://twitter.com/hashtag/movingtogitlab?src=hash&amp;ref_src=twsrc%5Etfw">#movingtogitlab</a> movement 🦁🚀<br><br>We moved to <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@Gitlab</a> in the recent months, and it has everything our engineers need in one application. <a href="https://twitter.com/hashtag/Gitlab?src=hash&amp;ref_src=twsrc%5Etfw">#Gitlab</a> enables us to move fast with all the resources we need in one place. <a href="https://t.co/tQMew8JosX">https://t.co/tQMew8JosX</a></p>&mdash; Landing Lion (@LandingLion) <a href="https://twitter.com/LandingLion/status/1004420532308242433?ref_src=twsrc%5Etfw">June 6, 2018</a></blockquote>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

## 4. Transparency is by default

Building and maintaining open and honest relationships with users is at the core of our value system. Everything we do is public by default. Our [entire handbook](/handbook/) is open to the public along with [our website’s repository](https://gitlab.com/gitlab-com/www-gitlab-com/).

{::options parse_block_html="false" /}


<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Phew...  Panic resolved. One nice thing about open-source frameworks: transitioning to a clone can be relatively seamless. Thanks <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@GitLab</a>! Good-bye <a href="https://twitter.com/github?ref_src=twsrc%5Etfw">@GitHub</a> (it&#39;s not your fault). <a href="https://twitter.com/hashtag/MovingToGitLab?src=hash&amp;ref_src=twsrc%5Etfw">#MovingToGitLab</a> is seamless and nearly instant for my teams&#39; usage.</p>&mdash; C Barrington-Leigh (@profcpbl) <a href="https://twitter.com/profcpbl/status/1003853726770081792?ref_src=twsrc%5Etfw">June 5, 2018</a></blockquote>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

## 5. Everyone can contribute

[This GitLab principle](/company/strategy/#mission) is applicable to your project’s workflow *and* our own application. Our platform allows all project stakeholders – from VPs and directors to ScrumMasters, developers and writers – to collaborate and communicate in one place, allowing for organized and open discourse.

Anyone can create an issue or MR to improve GitLab. We welcome [community contributions](/community/contribute/) and celebrate them by designating a [Most Valuable Person](/community/mvp/) (MVP) every month. With [our public issue tracker](/gitlab-org/gitlab-ce/issues), anyone can propose, contribute to, and discuss GitLab’s features. Since we ship a new release on the 22nd of each month, the implementation of public contributions and input are visible in short order.

{::options parse_block_html="false" /}


<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">No problem, I mean what&#39;s not to love? You improve consistently, you listen to the community and you make using your platform feel like you&#39;re a part of something special. I support you all the way, I have no need to be <a href="https://twitter.com/hashtag/movingtogitlab?src=hash&amp;ref_src=twsrc%5Etfw">#movingtogitlab</a> as I&#39;ve used <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> for nearly 2 years now</p>&mdash; LTN Games (@LTNGames) <a href="https://twitter.com/LTNGames/status/1003079862058409984?ref_src=twsrc%5Etfw">June 3, 2018</a></blockquote>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

Ready to make your move? We’ve made it pretty easy to migrate projects to GitLab. Check out [our documentation](https://docs.gitlab.com/ee/user/project/import/) or this video tutorial to get moving today.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/VYOXuOg9tQI" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->
